<?php

/**
 * @file
 * Provides admin page functionality.
 */

/**
 * Return module configuration page.
 *
 * Actually this page show only one button to update the address database.
 */
function japan_postal_code_config_form($form, $form_state) {
  $form = array();

  $count = _japan_postal_code_count_postal_code_records();
  $form['count'] = array(
    '#markup' => t('%count records exist in the postal code database.', array('%count' => $count)),
    '#prefix' => '<div class="japan-postal-code-config-current-count">',
    '#suffix' => '</div>',
  );

  $form['actions'] = array('#type' => 'actions');
  $form['actions']['note'] = array(
    '#markup' => t('You need to run this process once before using the data. If the postal code data exists in the database, it clear all the records and update the table with newly fetched data. This process takes a long time and take care of the timeout.'),
    '#prefix' => '<div class="japan-postal-code-config-note">',
    '#suffix' => '</div>',
  );
  $form['actions']['update'] = array(
    '#type' => 'submit',
    '#value' => t('Fetch and update the postal code data'),
    '#prefix' => '<div class="japan-postal-code-config-update-button">',
    '#suffix' => '</div>',
  );

  return $form;
}

/**
 * Handle submit of japan_postal_code_config_form.
 *
 * Fetches the japanese post office postal code csv
 * and clear and update the postal code table.
 *
 * @see japan_postal_code_drush_update()
 */
function japan_postal_code_config_form_submit($form, &$form_state) {

  $count = _japan_postal_code_update_all_postal_code();
  if ($count === FALSE) {
    drupal_set_message(t('Japan postal code database table update failed.'), 'error');
  }
  else {
    drupal_set_message(t('Japan postal code database table is successfully updated. %count address inserted.', array('%count' => $count)));
  }
}
