<?php

/**
 * @file
 * Contains page callbacks.
 */

/**
 * Page callbacks.
 */

/**
 * Return japan address with postal code as json.
 *
 * This returns the following format of data:
 * - 'status': bool TRUE|FALSE.
 * - 'data': object which contains address data.
 *
 * @param string $postal_code
 *   Postal code.
 */
function japan_postal_code_return_json_page_single($postal_code) {
  $address = japan_postal_code_get_address_by_postal_code($postal_code);
  if ($address) {
    $status = TRUE;
  }
  else {
    $address = new stdClass();
    $status = FALSE;
  }

  drupal_json_output(array('status' => $status, 'data' => $address));
  drupal_exit();
}

/**
 * Return japan addresses with postal code as json.
 *
 * This returns the following format of data:
 * - 'status': bool TRUE|FALSE.
 * - 'data': array of objects which contain address data.
 *
 * @param string $postal_code
 *   Postal code.
 */
function japan_postal_code_return_json_page_multiple($postal_code) {
  $addresses = japan_postal_code_get_addresses_by_postal_code($postal_code);
  if ($addresses) {
    $status = TRUE;
  }
  else {
    $status = FALSE;
  }

  drupal_json_output(array('status' => $status, 'data' => $addresses));
  drupal_exit();
}
